Package ru.bitel.bgbilling.kernel.integration.common.service

# Interface IntegrationService

    public interface IntegrationService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteRegister​(int registerType, int registerId)` |
  `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `getLoadPatternList​(int registerType)` |
  `int` | `loadRegister​(java.lang.String patternId, int registerType, java.lang.String file, java.util.Date date, java.lang.String title)` |
  `void` | `processRegister​(int registerType, int registerId)` |
  `java.util.List<RegisterItem>` | `registerItems​(int registerId)` |
  `void` | `rollbackRegister​(int registerType, int registerId)` |
  `SearchResult<RegistersRow>` | `searchRegistersRowList​(int registerType, Period period)` |

- ## Method Details

  - ### getLoadPatternList

    java.util.List<ru.bitel.bgbilling.common.model.KeyValue> getLoadPatternList​(int registerType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### searchRegistersRowList

    SearchResult<RegistersRow> searchRegistersRowList​(int registerType, Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### loadRegister

    int loadRegister​(java.lang.String patternId, int registerType, java.lang.String file, java.util.Date date, java.lang.String title) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteRegister

    void deleteRegister​(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### registerItems

    java.util.List<RegisterItem> registerItems​(int registerId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### rollbackRegister

    void rollbackRegister​(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### processRegister

    void processRegister​(int registerType, int registerId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`